package com.unis.model.bean.aeration;

/**
 * 包名: com.unis.model.bean.aeration
 * 类名: AerationBean
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/14 18:07
 * 更新人:
 * 更新时间: 2020/12/14 18:07
 * 更新说明:
 * 版本号: 1.0
 */
public class AerationBean {
    /**
     * houseName : null
     * applyName : null
     * departmentName : null
     * companyName : null
     * id : 52
     * mainId : 1
     * subId : 1
     * subData : 1
     * auditState : 0
     * operationTime : 2020-12-18  9:21
     * type : tf
     * houseId : 1
     * depotId : 3
     * fromPeople : 1
     * toPeople : 2
     * result : 1
     * applyPeople : 1
     * auditTime : null
     * processId : e5d3a6f2-8b5e-4fd8-a299-37d962c28037
     * ongoingStep : null
     */

    // 仓房名称
    private String houseName;
    // 申请人名称
    private String applyName;
    // 部门名称
    private String departmentName;
    // 公司名称
    private String companyName;
    //
    private String id;
    // 流程id
    private String mainId;
    // 审批状态(0:提交,1审批通过:,2:审批不通过，3:审批完成进行中，4已完成）
    private String auditState;
    // 流程类型(如:tf）
    private String type;
    // 业务名称
    private String workName;
    // 仓房ID
    private String houseId;
    // 库ID
    private String depotId;
    // 提交人
    private String fromPeople;
    // 审批人
    private String toPeople;
    // 是否是整个业务的首条记录（1是0否）
    private String result;
    // 申请人id
    private String applyPeople;
    // 审批时间
    private String auditTime;
    // 记录id
    private String processId;
    // 当前流程索引
    private String ongoingStep;

    private String subId;

    private String subData;

    private String applyTime;

    private String startDate;
    private String endDate;
    private String operationTime;

    public String getOperationTime() {
        return operationTime;
    }

    public void setOperationTime(String operationTime) {
        this.operationTime = operationTime;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }

    public String getSubId() {
        return subId;
    }

    public void setSubId(String subId) {
        this.subId = subId;
    }

    public String getSubData() {
        return subData;
    }

    public void setSubData(String subData) {
        this.subData = subData;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName;
    }

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getMainId() {
        return mainId;
    }

    public void setMainId(String mainId) {
        this.mainId = mainId;
    }

    public String getAuditState() {
        return auditState;
    }

    public void setAuditState(String auditState) {
        this.auditState = auditState;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHouseId() {
        return houseId;
    }

    public void setHouseId(String houseId) {
        this.houseId = houseId;
    }

    public String getDepotId() {
        return depotId;
    }

    public void setDepotId(String depotId) {
        this.depotId = depotId;
    }

    public String getFromPeople() {
        return fromPeople;
    }

    public void setFromPeople(String fromPeople) {
        this.fromPeople = fromPeople;
    }

    public String getToPeople() {
        return toPeople;
    }

    public void setToPeople(String toPeople) {
        this.toPeople = toPeople;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getApplyPeople() {
        return applyPeople;
    }

    public void setApplyPeople(String applyPeople) {
        this.applyPeople = applyPeople;
    }

    public String getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    public String getProcessId() {
        return processId;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getOngoingStep() {
        return ongoingStep;
    }

    public void setOngoingStep(String ongoingStep) {
        this.ongoingStep = ongoingStep;
    }

    public String getWorkName() {
        return workName;
    }

    public void setWorkName(String workName) {
        this.workName = workName;
    }
}
